function ShowImage(bkg, data, tiffname)    
imshow(bkg, 'InitialMagnification', 'fit');
hold on;
h1 = imagesc(data);
cmap = mycolorbar(5);
% colorbar
colormap(gca, cmap);  % 使用颜色映射
% 找到 0 值和nan值的位置并设置为透明
zerosIndices = (data == 0 | isnan(data));
set(h1, 'AlphaData', ~zerosIndices);
axis square
axis tight;
title(tiffname); % 图名
hold off;
box on;
end